Bug 1175841 - Delete cow block driver
Summary: Delete cow block driver
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Stefan Hajnoczi
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 1175325
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-18 17:35 UTC by Stefan Hajnoczi
Modified: 2015-03-05 09:57 UTC (History)
9 users (show)

Fixed In Version: qemu-kvm-rhev-2.1.2-18.el7
Doc Type: Bug Fix
Doc Text:
Clone Of: 1175325
Environment:
Last Closed: 2015-03-05 09:57:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0624 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2015-03-05 14:37:36 UTC

Comment 2 Miroslav Rezanina 2015-01-08 07:28:59 UTC
Fix included in qemu-kvm-rhev-2.1.2-18.el7

Comment 4 Sibiao Luo 2015-01-15 02:41:25 UTC
Reproduce this issue.
host info:
# uname -r && rpm -qa qemu-kvm-rhev
3.10.0-222.el7.x86_64
qemu-kvm-rhev-2.1.2-17.el7.x86_64

# qemu-img --help | grep cow
  '-c' indicates that target image must be compressed (qcow format only)
Supported formats: blkdebug blkverify bochs cloop cow dmg file ftp ftps gluster host_cdrom host_device host_floppy http https iscsi nbd parallels qcow qcow2 qed quorum raw rbd sheepdog ssh tftp vdi vhdx vmdk vpc vvfat

# qemu-img create -f cow test.cow 1G
Formatting 'test.cow', fmt=cow size=1073741824 

##############################################

Verify this issue.
host info:
# uname -r && rpm -qa qemu-kvm-rhev
3.10.0-222.el7.x86_64
qemu-kvm-rhev-2.1.2-18.el7.x86_64

# qemu-img --help | grep cow
  '-c' indicates that target image must be compressed (qcow format only)
Supported formats: blkdebug blkverify bochs cloop dmg file ftp ftps gluster host_cdrom host_device host_floppy http https iscsi nbd parallels qcow qcow2 qed quorum raw rbd sheepdog ssh tftp vdi vhdx vmdk vpc vvfat

# qemu-img create -f cow test.cow 1G
qemu-img: test.cow: Unknown file format 'cow'

Base on above, this issue has been fixed correctly, move to VERIFIED status, please correct me if any mistake, thanks.

Best Regards,
sluo

Comment 6 errata-xmlrpc 2015-03-05 09:57:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0624.html


Note You need to log in before you can comment on or make changes to this bug.